Bug 497787 - Plugin Error: Unable to activate plugin Subtitles downloader
Plugin Error: Unable to activate plugin Subtitles downloader
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: totem (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-27 04:44 EDT by Michal Nowak
Modified: 2013-03-07 21:06 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-28 05:56:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Nowak 2009-04-27 04:44:18 EDT
Description of problem:

Item "Subtitles downloader" is available in Totem's "Configure Plugins" by "default" (= I don't remember I installed some plugin to enable this functionality [1]) [2]. So, I hit the chceck box to enable it, ending with this error window:

Plugin Error: Unable to activate plugin Subtitles downloader

newman@dhcp-lab-124 SRPMS $ totem --debug
Traceback (most recent call last):
  File "/usr/lib64/totem/plugins/opensubtitles/opensubtitles.py", line 6, in <module>
    import xdg.BaseDirectory
ImportError: No module named xdg.BaseDirectory

** (totem:28956): WARNING **: Could not load plugin opensubtitles


** (totem:28956): WARNING **: Error, impossible to activate plugin 'Subtitles downloader'


Version-Release number of selected component (if applicable):

totem-2.26.1-2.fc11.x86_64

How reproducible:

always

Additional info:

[1] Perhaps the OpenSubtitles downloader should be in sub-package?

[2] 

totem-upnp-2.26.1-2.fc11.x86_64
totem-pl-parser-debuginfo-2.26.1-1.fc11.x86_64
totem-gstreamer-2.26.1-2.fc11.x86_64
totem-pl-parser-2.26.1-1.fc11.x86_64
totem-youtube-2.26.1-2.fc11.x86_64
totem-2.26.1-2.fc11.x86_64
totem-jamendo-2.26.1-2.fc11.x86_64
Comment 1 Bastien Nocera 2009-04-28 05:56:17 EDT
Missing a pyxdg requires I guess.

Built in rawhide and F-11.

Note You need to log in before you can comment on or make changes to this bug.